---
title: Selector list
slug: Web/CSS/Selector_list
tags:
  - CSS
  - Selector
  - Selector Lists
  - Selectors
---
<div>{{CSSRef}}</div>

<p>The CSS <strong>selector list</strong> (<code>,</code>) selects all the matching nodes.</p>

<pre class="brush: css no-line-numbers notranslate">/* Selects all matching elements */
span,
div {
  border: red 2px solid;
}</pre>

<p>To reduce the size of style sheets, one can group selectors in comma-separated lists.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">element, element, element { <em>style properties</em> }</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Single_Line_Grouping">Single Line Grouping</h3>

<p>Grouping selectors in a single line using a comma-separated lists.</p>

<pre class="brush: css notranslate">h1, h2, h3, h4, h5, h6 { font-family: helvetica; }
</pre>

<h3 id="Multi_Line_Grouping">Multi Line Grouping</h3>

<p>Grouping selectors in a multiple lines using a comma-separated lists.</p>

<pre class="brush: css notranslate">#main,
.content,
article {
  font-size: 1.1em;
}
</pre>

<h3 id="Selector_list_invalidation">Selector list invalidation</h3>

<p>A downside to using selector lists is that the following aren't equivalent:</p>

<pre class="brush: css notranslate">h1 { font-family: sans-serif }
h2:maybe-unsupported { font-family: sans-serif }
h3 { font-family: sans-serif }</pre>

<pre class="brush: css notranslate">h1, h2:maybe-unsupported, h3 { font-family: sans-serif }</pre>

<p>This is because a single unsupported selector in a selector list invalidates the whole rule.</p>

<p>A way to remedy this us to use the {{CSSxRef(":is", ":is()")}} or {{CSSxRef(":where", ":where()")}} selectors, which accept a forgiving selector list. This will ignore invalid selectors in the list but accept those which are valid.</p>

<pre class="brush: css notranslate">h1 { font-family: sans-serif }
h2:maybe-unsupported { font-family: sans-serif }
h3 { font-family: sans-serif }</pre>

<pre class="brush: css notranslate">:is(h1, h2:maybe-unsupported, h3) { font-family: sans-serif }</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("CSS4 Selectors", "#grouping", "Selector Lists")}}</td>
   <td>{{Spec2("CSS4 Selectors")}}</td>
   <td>Renamed to "selector list"</td>
  </tr>
  <tr>
   <td>{{SpecName('CSS1', '#grouping', 'grouping')}}</td>
   <td>{{Spec2('CSS1')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.selectors.list")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>The {{CSSxRef(":is", ":is()")}} {{Experimental_Inline}} and {{CSSxRef(":where", ":where()")}} {{Experimental_Inline}} pseudo-classes, which accept a forgiving selector list.</li>
</ul>
